edu.whs.spin2018.baoapp.service.mehrspieler

## Interface MehrspielerRemoteDataSource

- All Superinterfaces:
    BaoServiceInterface, BaseInteractorInterface, MehrspielerEventListener
  All Known Implementing Classes:
    MehrspielerServiceInteractor

      public interface MehrspielerRemoteDataSource
      extends MehrspielerEventListener, BaseInteractorInterface

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setzeListener(MehrspielerEventListener listener)` Setzt einen Listener, der beim erhalten von Events vom Service benachrichtigt werden soll.
    `void` | `trittWarteschlangeBei()` Tritt der Warteschlange auf dem Server bei um ein Schnellspiel zu suchen.
    `void` | `verlasseWarteschlange()` Verlässt die Warteschlange auf dem Server und hört somit auf nach einem Schnellspiel zu suchen.

    - ### Methods inherited from interface edu.whs.spin2018.baoapp.service.mehrspieler.MehrspielerEventListener

      `onGegnerGefunden`

    - ### Methods inherited from interface edu.whs.spin2018.baoapp.service.BaseInteractorInterface

      `entferneRegistrierteListener, onNeueNachricht, registriereBenoetigteListener`

    - ### Methods inherited from interface edu.whs.spin2018.baoapp.service.BaoServiceInterface

      `entferneListener, raumBetreten, raumVerlassen, registriereBenutzerListeErhaltenListener, registriereBenutzerTrittRaumBeiListener, registriereBenutzerVerlaesstRaumListener, registriereNachrichtenListener, registriereVerbundenListener, sendeBroadcast, sendeNachricht, trennen, verbinden, zeigeBenutzerImRaum`

- - ### Method Detail

    - #### trittWarteschlangeBei

          void trittWarteschlangeBei()

      Tritt der Warteschlange auf dem Server bei um ein Schnellspiel zu suchen.

    - #### verlasseWarteschlange

          void verlasseWarteschlange()

      Verlässt die Warteschlange auf dem Server und hört somit auf nach einem Schnellspiel zu suchen.

    - #### setzeListener

          void setzeListener(MehrspielerEventListener listener)

      Setzt einen Listener, der beim erhalten von Events vom Service benachrichtigt werden soll.
      Parameters:
        `listener` - - listener, der benachrichtigt werden soll